/* WRAPPER */
.thankyou-component, .wishes-component {
    z-index: 2;
    position: relative;

    display: flex;
    flex-direction: column;
    justify-content: center;

    border-radius: .25em;
    
    height: 100%;
    width: 80%;
    max-width: 600px;

    margin: 0 auto;
    padding: 30px;
    
    background-color: white;
    color: black;
    text-align: center;

    -webkit-box-shadow: 1px 1px 8px 0px rgba(126, 126, 126, 0.42);
    box-shadow: 1px 1px 8px 0px rgba(126, 126, 126, 0.42);
}
  @media (max-width: 480px) {
    .thankyou-component, .wishes-component {
      height: auto;
    }
  }
/* TEXT */
.rsvp{
    padding: 0 !important;
}
    /* TITLE */
    .rsvptitle, .summarytitle{
        text-transform: uppercase;
        font-family: "the season", serif;
        font-size: 3em;
        font-weight: 600;
        font-family: 'newyork';
        line-height: normal;
        text-align: center;
        
        letter-spacing: 2px;
        color: #a09085;
    }
    .rsvptitle{
        font-size: 3.2em;
        margin-bottom: 0.2em;
    }
        @media (max-width: 767px) {
            .rsvptitle{
                font-size: 2.7em;
            }
        }
    .summarytitle{
        font-size: 3em;
        margin-bottom: 0.6em;
    }
        @media (max-width: 767px) {
            .summarytitle{
                font-size: 2em;
            }
        }

/* RSVP COMPONENT ONLY*/
    .fullnametext {
        font-family: 'Montserrat', sans-serif;
        font-size: 1em;
        font-weight: 400;
        font-style: normal;
        text-transform: capitalize;
        text-align: center;
        line-height: 1;
        margin-bottom: 1em;
        color: #1f1f1f;
    }
    .wishes-title{
        font-size: 11px !important;
        color: #937259 !important;
        margin-bottom: 2px;
        margin-top: 6px;
        margin-left: 16px;
    }
    
/* THANKYOU COMPONENT ONLY */
    /* FULL NAME, CONFIRMATION, ATTENDING PAX TITLE & RESPONSE*/
    .rsvppoint{
        font-size: 1.4em;
        text-transform: uppercase;
        color: #b6ada6;
        font-family: 'Montserrat', sans-serif;
        letter-spacing: 1px;
    }
        @media (max-width: 767px) {
            .rsvppoint{
                font-size: 1.2em;
            }
        }
    .rsvpanswer{
        font-family: 'Montserrat', sans-serif;
        font-size: 1.4em;
        color: #525252;
    }
        @media (max-width: 767px) {
            .rsvpanswer{
                font-size: 1em;
            }
        }
    .modal-body-summary-list{
        margin-bottom: 0.8em;
    }
    /* Mr. / Mrs. / Ms. */
    .rsvpnametitle {
        font-family: 'Montserrat', sans-serif;
        font-size: 1em;
        color: #525252;
    }

    /* QR Code image */
    .modal-qrcode {
        display: flex;
        justify-content: center;
        border-top: 2px solid #bebebe;
        margin-top: 1em;
    }
    .modal-qrcode img {
        width: 80%;
        max-width: 300px;
        padding: 2em;
    }
        @media (max-width: 480px) {
            .modal-qrcode img {
                padding: 1.5em;
            }
        }
    
    /* Need to Adjust?  */
    .changersvp-btn {
        font-family: 'Montserrat', sans-serif;
        font-size: 1em;
        margin-top: .8em;
    }
    /* Update RSVP Details */
    .changersvp-btn span{
        cursor: pointer;
        color: #3d50d9;
        white-space: nowrap;
    }

/* DOWNLOAD QR & SUBMIT BUTTON*/
.downloadqr-btn, .submitrsvp-btn{
    cursor: pointer;
    background-color: #b8a99f;
    color: white;

    padding: 1em 4em;

    outline: none;
    border: none;

    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    
    text-align: center;
    
}
    @media (max-width: 480px) {
        .downloadqr-btn, .submitrsvp-btn{
            padding: .8em 3em;
        }
    }

.submitrsvp-btn p, .downloadqr-btn{
    font-size: 14px;
}


.modal-body-submit{
    margin-top: 1.6em;
}

/* #region Modal / Component */

.form-group {
    width: 100%;
    label{
      display: block;
      width: 100%;
      font-size: 14px;
      font-family: 'Montserrat', sans-serif;
      font-weight: 400;
      color: #937259;
      text-align: left;
    }
    select{
      color: black;
      width: 100%;
      font-family: 'Montserrat', sans-serif;
      font-weight: 400;
      font-size: 18px;
      outline: none !important;
      background-color: transparent !important;
    }
  
    textarea{
      resize: vertical;
      width: 100%;
      display: block;
      outline: none;
      font-size: 16px;
      font-family: 'Montserrat', sans-serif;
      font-weight: 400;
      border: none;
      padding-left: 16px;
      background-color: white;
      color: black;
      border-bottom: 1px solid #b6b6b6;
    }
  
    #count{ 
      text-align: right;
      font-family: 'Montserrat', sans-serif;
      font-weight: 400;
      font-size: 12px;
      color: #6c6c6c;
    }
}


/* #region Modal Gallery */
.image-previous, .image-next {
    position: absolute;
    top: 44%;
    font-size: 26px;
    color: #fff;
    text-shadow: 1px 1px 18px #000;
  }
  .image-previous { 
    left: -10px;
  }
  .image-next { 
    right: -10px;
  }
  .image-preview {
    max-height: 90vh;
    max-width: 100%;
    height: auto;
  }
  .modal#modalGallery{
    padding: 0px !important;
    box-shadow: none !important;
    background: transparent !important;
  }
/* #endregion */

/* 
  #modalGift {
    .modal-dialog{
        width: 100%;
        max-width: 100%;
        margin: 0 !important;
        position: relative;
        display: flex    ;
        min-height: 100%;
    }
    .wisheswrapper {
        background-color: #f1f2f4;
        padding: 30px 30px;
        overflow: hidden;
        text-align: center;
        position: relative;
        display: -webkit-box;
        display: -ms-flexbox;
        width: 100%;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: bottom center;
        background-color: transparent;
        justify-content: center;
        @media (max-width: 767px) {
            padding: 20px;
        }
        @media (max-width: 480) {
            justify-content: center;
        }
    }
    .modal-content {
        border-radius: 0;
        position: relative;
        border: none;
        padding: 0 0%;
        box-shadow: none !important;
        display: inline-block;
        background-color: #fff;
        width: 600px;
        margin-left: auto;
        margin-right: auto;
        @media (max-width: 767px) {
            width: 100%;
        }
        @media (max-width: 480) {
            height: auto;
        }
    }
    .modal-close{
        cursor: pointer;
        display: inline-block;
        color: white;
        border-radius: 0 !important;
        outline: 0 !important;
        font-size: 20px;
        border: none;
        background-color: #b8a99f;
        padding: 6px 40px 8px 40px;
        font-family: 'Montserrat', sans-serif;
        font-weight: 400;
    }
    .weddinggifttitle {
        font-family: "Pinyon Script", cursive;
        font-weight: 400;
        font-style: normal;
        letter-spacing: 2px;
        font-size: 40px;
        text-transform: none;
        padding: 0.5em 0;
        background: linear-gradient(to top, #604d3f00, #241003);
        background: linear-gradient(to top, #604d3f40, #241003);
            background-clip: border-box;
        background-clip: border-box;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }
    .modal-content-wrap {
        background-color: #fff;
        padding: 0px 0px;
        position: relative;
        z-index: 2;
        height: 100%;
        -webkit-box-shadow: 1px 1px 8px 0px rgba(126, 126, 126, 0.42);
        box-shadow: 1px 1px 8px 0px rgba(126, 126, 126, 0.42);
    }
    .modal-body{
        width: 100%;
        padding: 30px 30px;
        min-height: 100%;
    }
    .modal-body-title{
        position: relative;
        margin-bottom: 10px;
        z-index: 2;
        text-align: center;
        img{
            width: 200px;
            margin: auto;
        }
    }
    .modal-body-subtitle{
        margin-bottom: 40px;
        max-width: 500px;
        margin-left: auto;
        margin-right: auto;
        p {
            color: #6c6c6c;
            text-align: center;
            font-family: 'Montserrat', sans-serif;
            font-weight: 400;
            font-size: 14px;
        }
    }
    .namabank{
        color: #6c6c6c;
    }

    .modal-body-qris{
        display: flex;
        flex-flow: row wrap;
        justify-content: center;
    }

    .modal-body-qris-list {
        width: 70%;
        padding-left: 10px;
        padding-right: 10px;
        @media (max-width: 991px) {
            width: 50%;
        }
        @media (max-width: 767px) {
            width: 100%;
            max-width: 400px;
        }
        @media (max-width: 480px) {
            width: 100%;
            padding-left: 0;
            padding-right: 0;
        }
    }
    .modal-body-qris-img{
        width: 70%;
        height: auto;
        margin: 0 auto;
        margin-bottom: 10px;
        text-align: center;
    }
    .modal-body-qris-subtitle p{
        color: #6c6c6c;
        font-family: 'Montserrat', sans-serif;
        font-weight: 400;
        font-size: 16px;
        text-align: center;
    }
    .modal-body-qris-list-copy {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        input {
            position: fixed;
            top: -100px;
            z-index: 1;
            left: 0;
        }
    }
    .modal-body-qris-list-copy-text {
        width: 60%;
        p {
            color: #6c6c6c;
            font-family: 'Montserrat', sans-serif;
            font-weight: 400;
            font-size: 1.2em;
        }
    }
    .modal-body-qris-list-copy button {
        background-color: #b8a99f;
        padding: 0.8em 4em;
        color: white;
        outline: none;
        border: none;
        font-family: 'Montserrat', sans-serif;
        font-weight: 400;
        font-size: 14px;
        text-align: center; 
        margin-top: 2em;
    }
  } */